MetricDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.MetricDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class MetricDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.MetricDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class MetricDecorator

extends ColumnDecorator
implements javax.servlet.jsp.tagext.Tag

This class is a two in one decorator/tag for use within the `TableTag`; it is a `ColumnDecorator` tag that converts and formats metric values for display.

Field Summary
`protected java.lang.String` | `bundle`
`protected java.lang.String` | `locale`
`protected static org.apache.commons.logging.Log` | `log`
`protected static java.lang.String` | `MS_KEY`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MetricDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object obj)`
`int` | `doEndTag()`
`int` | `doStartTag()`
`java.lang.String` | `getDefaultKey()`
`javax.servlet.jsp.tagext.Tag` | `getParent()`
`java.lang.String` | `getUnit()`
`void` | `release()`
`void` | `setDefaultKey(java.lang.String s)`
`void` | `setPageContext(javax.servlet.jsp.PageContext pc)`
`void` | `setParent(javax.servlet.jsp.tagext.Tag t)`
`void` | `setUnit(java.lang.String s)`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### locale

    protected java.lang.String locale

### bundle

    protected java.lang.String bundle

### MS_KEY

    protected static java.lang.String MS_KEY

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### MetricDecorator

    public MetricDecorator()

Method Detail

### getDefaultKey

    public java.lang.String getDefaultKey()

### setDefaultKey

    public void setDefaultKey(java.lang.String s)

### getUnit

    public java.lang.String getUnit()

### setUnit

    public void setUnit(java.lang.String s)

### decorate

    public java.lang.String decorate(java.lang.Object obj)
                              throws java.lang.Exception

  Specified by:
    `decorate` in class `ColumnDecorator`
  Throws:
    `java.lang.Exception`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspTagException`

### doEndTag

    public int doEndTag()

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

  Specified by:
    `getParent` in interface `javax.servlet.jsp.tagext.Tag`

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag t)

  Specified by:
    `setParent` in interface `javax.servlet.jsp.tagext.Tag`

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pc)

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `setPageContext` in class `Decorator`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `Decorator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.